with GNATCOM.Dispinterface;

package MSHTML.IHTMLTableRow4_Object is

   type IHTMLTableRow4_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_ch
     (This : IHTMLTableRow4_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ch
     (This : IHTMLTableRow4_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_chOff
     (This : IHTMLTableRow4_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_chOff
     (This : IHTMLTableRow4_Type)
     return GNATCOM.Types.VARIANT;

   function insertCell
     (This  : IHTMLTableRow4_Type;
      index : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure deleteCell
     (This  : IHTMLTableRow4_Type;
      index : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free  : Boolean := True);

end MSHTML.IHTMLTableRow4_Object;

